# Uses of Class
javax.swing.JFormattedTextField.AbstractFormatter

Packages that use JFormattedTextField.AbstractFormatter
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of JFormattedTextField.AbstractFormatter in javax.swing

Methods in javax.swing that return JFormattedTextField.AbstractFormatter
Modifier and Type
Method
Description
`abstract JFormattedTextField.AbstractFormatter`
JFormattedTextField.AbstractFormatterFactory.`getFormatter(JFormattedTextField tf)`
Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.
`JFormattedTextField.AbstractFormatter`
JFormattedTextField.`getFormatter()`
Returns the `AbstractFormatter` that is used to format and parse the current value.
Methods in javax.swing with parameters of type JFormattedTextField.AbstractFormatter
Modifier and Type
Method
Description
`protected void`
JFormattedTextField.`setFormatter(JFormattedTextField.AbstractFormatter format)`
Sets the current `AbstractFormatter`.
Constructors in javax.swing with parameters of type JFormattedTextField.AbstractFormatter
Modifier
Constructor
Description
``
`JFormattedTextField(JFormattedTextField.AbstractFormatter formatter)`
Creates a `JFormattedTextField` with the specified `AbstractFormatter`.

## Uses of JFormattedTextField.AbstractFormatter in javax.swing.text

Subclasses of JFormattedTextField.AbstractFormatter in javax.swing.text
Modifier and Type
Class
Description
`class`
`DateFormatter`
DateFormatter is an `InternationalFormatter` that does its formatting by way of an instance of `java.text.DateFormat`.
`class`
`DefaultFormatter`
`DefaultFormatter` formats arbitrary objects.
`class`
`InternationalFormatter`
`InternationalFormatter` extends `DefaultFormatter`, using an instance of `java.text.Format` to handle the conversion to a String, and the conversion from a String.
`class`
`MaskFormatter`
`MaskFormatter` is used to format and edit strings.
`class`
`NumberFormatter`
`NumberFormatter` subclasses `InternationalFormatter` adding special behavior for numbers.
Methods in javax.swing.text that return JFormattedTextField.AbstractFormatter
Modifier and Type
Method
Description
`JFormattedTextField.AbstractFormatter`
DefaultFormatterFactory.`getDefaultFormatter()`
Returns the `JFormattedTextField.AbstractFormatter` to use as a last resort, eg in case a display, edit or null `JFormattedTextField.AbstractFormatter` has not been specified.
`JFormattedTextField.AbstractFormatter`
DefaultFormatterFactory.`getDisplayFormatter()`
Returns the `JFormattedTextField.AbstractFormatter` to use if the `JFormattedTextField` is not being edited and either the value is not-null, or the value is null and a null formatter has has not been specified.
`JFormattedTextField.AbstractFormatter`
DefaultFormatterFactory.`getEditFormatter()`
Returns the `JFormattedTextField.AbstractFormatter` to use if the `JFormattedTextField` is being edited and either the value is not-null, or the value is null and a null formatter has has not been specified.
`JFormattedTextField.AbstractFormatter`
DefaultFormatterFactory.`getFormatter(JFormattedTextField source)`
Returns either the default formatter, display formatter, editor formatter or null formatter based on the state of the JFormattedTextField.
`JFormattedTextField.AbstractFormatter`
DefaultFormatterFactory.`getNullFormatter()`
Returns the formatter to use if the value is null.
Methods in javax.swing.text with parameters of type JFormattedTextField.AbstractFormatter
Modifier and Type
Method
Description
`void`
DefaultFormatterFactory.`setDefaultFormatter(JFormattedTextField.AbstractFormatter atf)`
Sets the `JFormattedTextField.AbstractFormatter` to use as a last resort, eg in case a display, edit or null `JFormattedTextField.AbstractFormatter` has not been specified.
`void`
DefaultFormatterFactory.`setDisplayFormatter(JFormattedTextField.AbstractFormatter atf)`
Sets the `JFormattedTextField.AbstractFormatter` to use if the `JFormattedTextField` is not being edited and either the value is not-null, or the value is null and a null formatter has has not been specified.
`void`
DefaultFormatterFactory.`setEditFormatter(JFormattedTextField.AbstractFormatter atf)`
Sets the `JFormattedTextField.AbstractFormatter` to use if the `JFormattedTextField` is being edited and either the value is not-null, or the value is null and a null formatter has has not been specified.
`void`
DefaultFormatterFactory.`setNullFormatter(JFormattedTextField.AbstractFormatter atf)`
Sets the formatter to use if the value of the JFormattedTextField is null.
Constructors in javax.swing.text with parameters of type JFormattedTextField.AbstractFormatter
Modifier
Constructor
Description
``
`DefaultFormatterFactory(JFormattedTextField.AbstractFormatter defaultFormat)`
Creates a `DefaultFormatterFactory` with the specified `JFormattedTextField.AbstractFormatter`.
``
`DefaultFormatterFactory(JFormattedTextField.AbstractFormatter defaultFormat, JFormattedTextField.AbstractFormatter displayFormat)`
Creates a `DefaultFormatterFactory` with the specified `JFormattedTextField.AbstractFormatter`s.
``
`DefaultFormatterFactory(JFormattedTextField.AbstractFormatter defaultFormat, JFormattedTextField.AbstractFormatter displayFormat, JFormattedTextField.AbstractFormatter editFormat)`
Creates a DefaultFormatterFactory with the specified JFormattedTextField.AbstractFormatters.
``
`DefaultFormatterFactory(JFormattedTextField.AbstractFormatter defaultFormat, JFormattedTextField.AbstractFormatter displayFormat, JFormattedTextField.AbstractFormatter editFormat, JFormattedTextField.AbstractFormatter nullFormat)`
Creates a DefaultFormatterFactory with the specified JFormattedTextField.AbstractFormatters.